List betting top-ups
curl --request GET \
--url https://api.platnova.com/v1/bills/betting \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.platnova.com/v1/bills/betting"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.platnova.com/v1/bills/betting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platnova.com/v1/bills/betting",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platnova.com/v1/bills/betting"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platnova.com/v1/bills/betting")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platnova.com/v1/bills/betting")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"message": "<string>",
"error": [
"<string>"
],
"data": {
"bills": [
{
"id": "8b8f0d0e-5d6c-4d8e-9d3c-0f4a1c3b2a10",
"reference": "order-1042",
"transaction_reference": "<string>",
"product": "betting",
"biller": "bet9ja",
"customer_id": "Hassan3330",
"customer_name": "HASSANA SAIDU",
"amount": 1000,
"fee": 0,
"currency": "NGN",
"status": "processing",
"failure_reason": "insufficient_provider_balance",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}
}Bills
List Betting Top-ups
GET
/
v1
/
bills
/
betting
List betting top-ups
curl --request GET \
--url https://api.platnova.com/v1/bills/betting \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.platnova.com/v1/bills/betting"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.platnova.com/v1/bills/betting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platnova.com/v1/bills/betting",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platnova.com/v1/bills/betting"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platnova.com/v1/bills/betting")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platnova.com/v1/bills/betting")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"message": "<string>",
"error": [
"<string>"
],
"data": {
"bills": [
{
"id": "8b8f0d0e-5d6c-4d8e-9d3c-0f4a1c3b2a10",
"reference": "order-1042",
"transaction_reference": "<string>",
"product": "betting",
"biller": "bet9ja",
"customer_id": "Hassan3330",
"customer_name": "HASSANA SAIDU",
"amount": 1000,
"fee": 0,
"currency": "NGN",
"status": "processing",
"failure_reason": "insufficient_provider_balance",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}
}Overview
Your top-ups, newest first. Filter withstatus; page with page and limit (up to 100).Authorizations
API key for authentication.
Query Parameters
Available options:
processing, success, failed, reversed Required range:
x <= 100
